// • ▌ ▄ ·.  ▄▄▄·  ▄▄ • ▪   ▄▄· ▄▄▄▄·  ▄▄▄·  ▐▄▄▄  ▄▄▄ .
// ·██ ▐███▪▐█ ▀█ ▐█ ▀ ▪██ ▐█ ▌▪▐█ ▀█▪▐█ ▀█ •█▌ ▐█▐▌·
// ▐█ ▌▐▌▐█·▄█▀▀█ ▄█ ▀█▄▐█·██ ▄▄▐█▀▀█▄▄█▀▀█ ▐█▐ ▐▌▐▀▀▀
// ██ ██▌▐█▌▐█ ▪▐▌▐█▄▪▐█▐█▌▐███▌██▄▪▐█▐█ ▪▐▌██▐ █▌▐█▄▄▌
// ▀▀  █▪▀▀▀ ▀  ▀ ·▀▀▀▀ ▀▀▀·▀▀▀ ·▀▀▀▀  ▀  ▀ ▀▀  █▪ ▀▀▀
//      Magicbane Emulator Project © 2013 - 2022
//                www.magicbane.com


package engine.jobs;

import engine.gameManager.CombatManager;
import engine.job.AbstractJob;
import engine.objects.AbstractCharacter;
import engine.objects.AbstractWorldObject;

public class AttackJob extends AbstractJob {

    private final AbstractCharacter source;
    private final int slot;
    private final boolean success;

    public final AbstractWorldObject target;

    public AttackJob(AbstractCharacter source, int slot, boolean success, AbstractWorldObject target) {
        super();
        this.source = source;
        this.slot = slot;
        this.success = success;
        this.target = target;
    }

    @Override
    protected void doJob() {

        CombatManager.combatCycle(this.source,target,0);
    }

    public boolean success() {
        return this.success;
    }

    protected void _cancelJob() {
    }
}